Bug 1032687 - Never ending "loading" message and GIF in Monitoring > Metrics tab
Never ending "loading" message and GIF in Monitoring > Metrics tab
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity medium
: ER07
: JON 3.2.0
Assigned To: Thomas Segismont
Mike Foley
:
Depends On: 1031771
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 10:15 EST by Thomas Segismont
Modified: 2014-01-02 15:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1031771
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Segismont 2013-11-20 10:15:25 EST
+++ This bug was initially created as a clone of Bug #1031771 +++

Description of problem:
The Monitoring > Metrics tab of resources which define no metrics shows a never ending "loading" message and GIF.

Version-Release number of selected component (if applicable):
4.9-SNAPSHOT

How reproducible:
Always

--- Additional comment from Thomas Segismont on 2013-11-18 18:56:31 CET ---

> Version-Release number of selected component (if applicable):
> 4.9-SNAPSHOT

4.10-SNAPSHOT

--- Additional comment from Thomas Segismont on 2013-11-19 14:52:17 CET ---

Fixed in master

commit 53fe3bfffdb6fe31ddf2a4a33218cca19e4c6a5f
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Tue Nov 19 14:49:22 2013 +0100

The MetricsViewDataSource uses a CountDownLatch when searching for data to display. When a resource had no metric definition, the
latch was not updated.

As an aside, it's not necessary to search for Calltime and Trait live values, they are displayed on dedicated screens.

--- Additional comment from Mike Thompson on 2013-11-19 18:09:25 CET ---

I have reviewed the fix as well. The countdown latch failure condition was a definite oversight. I have never seen the measurementDefinition.getDataType() == COMPLEX' type before in any of the existing code.
Comment 1 Thomas Segismont 2013-11-20 10:17:28 EST
Cherry-picked to release/jon3.2.x

commit 2ec533244fe43162430dadeff1afb75dc1e88c59
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Tue Nov 19 14:49:22 2013 +0100
Comment 2 Simeon Pinder 2013-11-22 00:01:36 EST
Moving to ON_QA as available to test in ER7 and later brew builds.
Comment 3 Filip Brychta 2013-12-09 09:49:27 EST
Verified on
Version :	
3.2.0.GA
Build Number :	
7b00246:6d13523

Note You need to log in before you can comment on or make changes to this bug.